Get an agent
curl --request GET \
--url https://api.wondeya.com/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wondeya.com/v1/agents/{agentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wondeya.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"identity": {
"businessName": "<string>",
"description": "<string>",
"tone": "<string>",
"actions": [
{
"id": "talk_to_team",
"description": "<string>"
}
],
"links": [
{
"id": "menu",
"url": "<string>",
"label": {
"es": "<string>",
"en": "<string>"
},
"description": "<string>"
}
]
},
"content": {
"useWorkspaceKnowledge": true,
"useWorkspaceAssets": true
},
"defaultLocale": "es",
"locales": [
"es"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Agents
Get an agent
GET
/
v1
/
agents
/
{agentId}
Get an agent
Authorizations
A workspace API key: wdy_live_… / wdy_test_…. Created at POST /workspaces/{tenantId}/keys and shown exactly once.
Path Parameters
Response
The agent id. The only handle it has.
Internal label. Never an address (no slug).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The language the agent’s copy is authored in (D-44).
Available options:
es, en Every language the agent speaks.
Available options:
es, en